package com.datacloudsec.utils;

import org.apache.commons.lang.StringUtils;

public class VersionUtil {

   public static boolean isNewVersion(String localVersion, String onlineVersion) throws Exception {
      if(StringUtils.isBlank(localVersion)) {
         return false;
      } else if(StringUtils.isBlank(onlineVersion)) {
         return false;
      } else if(localVersion.equals(onlineVersion)) {
         return false;
      } else {
         localVersion = localVersion.replace("-", ".");
         onlineVersion = onlineVersion.replace("-", ".");
         String[] localArray = localVersion.split("\\.");
         String[] onlineArray = onlineVersion.split("\\.");
         int length = localArray.length < onlineArray.length?localArray.length:onlineArray.length;

         for(int i = 0; i < length; ++i) {
            if(Integer.parseInt(onlineArray[i]) > Integer.parseInt(localArray[i])) {
               return true;
            }

            if(Integer.parseInt(onlineArray[i]) < Integer.parseInt(localArray[i])) {
               return false;
            }
         }

         if(onlineArray.length > localArray.length) {
            return true;
         } else {
            return false;
         }
      }
   }

   public static void main(String[] args) throws Exception {
      System.out.println(isNewVersion("5.5-1.8.4", "5.5-1.8.0"));
   }
}
